; $Id: computecrismiscrates.pro,v 1.1 1998/03/09 18:11:49 rgr Exp $

; $RCSfile: computecrismiscrates.pro,v $
; $Author: rgr $
; $Date: 1998/03/09 18:11:49 $
; $Revision: 1.1 $

pro computeCrisMiscRates, lp, engr

   common CrisSymbols

   unit = G$_Cris.LiveTimeUnitMicrosecond
   time = float(G$_Cris.NumMnfsPerCycle)

   engr.livetim = (unit * lp.livetim) * 1.0e-6
   engr.helivet = (unit * lp.helivet) * 2.0e-6
   engr.hylivet = (unit * lp.hylivet) * 2.0e-6
   engr.trg0rat = UncompressCrisRate(lp.trg0rat) / (time/4.0)
   engr.trg1rat = UncompressCrisRate(lp.trg1rat) / (time/4.0)
   engr.trg01   = UncompressCrisRate(lp.trg01) / (time/4.0)
   engr.ntagint = float(lp.ntagint)
   engr.nvldint = float(lp.nvldint)
   engr.nevproc = float(lp.nevproc)
   engr.nrtproc = float(lp.nrtproc)
   engr.nsfterr = float(lp.nsfterr)
   engr.nbadid  = float(lp.nbadid)
   engr.ncebful = float(lp.ncebful)
   engr.nrebful = float(lp.nrebful)
   engr.nmacsys = float(lp.nmacsys)
   engr.nhdwrej = float(UncompressCrisRate(lp.nhdwrej))
   engr.QualityLivetim = lp.QualityLivetim
   engr.QualityHelivet = lp.QualityHelivet
   engr.QualityHylivet = lp.QualityHylivet
   engr.QualityTrg0rat = lp.QualityTrg0rat
   engr.QualityTrg1rat = lp.QualityTrg1rat
   engr.QualityTrg01   = lp.QualityTrg01
   engr.QualityNtagint = lp.QualityNtagint
   engr.QualityNvldint = lp.QualityNvldint
   engr.QualityNevproc = lp.QualityNevproc
   engr.QualityNrtproc = lp.QualityNrtproc
   engr.QualityNsfterr = lp.QualityNsfterr
   engr.QualityNbadid  = lp.QualityNbadid
   engr.QualityNcebful = lp.QualityNcebful
   engr.QualityNrebful = lp.QualityNrebful
   engr.QualityNhdwrej = lp.QualityNhdwrej

end
