; $Id: dumpsishskpdata.pro,v 1.1 1998/02/09 22:52:39 rgr Exp $

; $RCSfile: dumpsishskpdata.pro,v $
; $Author: rgr $
; $Date: 1998/02/09 22:52:39 $
; $Revision: 1.1 $

pro dumpSisHskpData, summary, LUN=lun

   common SisSymbols

   lunit = -1
   if (keyword_set(lun)) then lunit = lun

   nsummary = n_elements(summary)
   for i=0L, nsummary-1 do begin
      output = stringDate1996(summary[i].Second1996) + "  "
      output = output + "Clock: " +                                    $
               string(summary[i].ClockMinorFrame, format='(i10.10)') + $
               "  "
      output = output +                                                $
               string(summary[i].MajorFrameCount, format='(i1)') + " "
      output = output +                                                $
               string(summary[i].MinorFrameCount, format='(i2.2)') +   $
               "   "
      nhskp = G$_Sis.NumHskpBytes
      for j=0, nhskp-1 do begin
         output = output +                                             $
                        string(summary[i].SisHskp[j], format='(z2.2)')

      endfor
      output = output + "   Quality: " +                               $
                              string(summary[i].quality, format='(i1)')
      printf, lunit, output
   endfor

end                   
