; $Id: computesiseventbufferrates.pro,v 1.2 1998/03/09 18:21:16 rgr Exp $

; $RCSfile: computesiseventbufferrates.pro,v $
; $Author: rgr $
; $Date: 1998/03/09 18:21:16 $
; $Revision: 1.2 $

pro computeSisEventBufferRates, lp, engr

   common SisSymbols

   NumberEvents = lp.NumberEvents[0,*] + lp.NumberEvents[1,*] +       $
                  lp.NumberEvents[2,*] + lp.NumberEvents[3,*]
   nevent = float(NumberEvents > 1)
 
   engr.EventBufferRate = (uncompressSisValue(lp.EventBuffer)/nevent) $
                                                 * engr.DataBufferRate
   engr.QualityEventBufferRate = lp.QualityEventBuffer or             $
                                 engr.QualityDataBufferRate

   set = where((NumberEvents eq 0) and (lp.EventBuffer gt 0), nset)
   if (nset gt 0) then begin
      quality = engr.QualityEventBufferRate
      quality[set] = quality[set] or G$_Sis.QualityFillLevel1Bit
      engr.QualityEventBufferRate = quality
   endif

end
