; $Id: get_events_s.pro,v 1.1 1998/01/26 17:57:04 rgr Exp $

; $RCSfile: get_events_s.pro,v $
; $Author: rgr $
; $Date: 1998/01/26 17:57:04 $
; $Revision: 1.1 $

function get_events_s, second1996

   EventCycle = get_event_cycle_s(second1996)
   ncycle = n_elements(EventCycle) - 1
   
   if (ncycle gt 0) then                                       $
      nevent = total(EventCycle(0 : ncycle - 1).NumberEvents)  $
   else                                                        $
      nevent = 0 
   event = replicate({L1_1SisEvent}, nevent + 1)
   
   if (nevent eq 0) then begin
      event(nevent).EventNumber = 0
      event(nevent).second1996 = 0
      event(nevent).microsecond = 0
      return, event
   endif
   
   nevent = 0
   for i=0, (ncycle-1) do begin
      nevt = EventCycle(i).NumberEvents
      event(nevent : nevent+nevt) = UnpackSisEventCycle(EventCycle(i))
      index = where(event.second1996 ne 0L, nevent)
   endfor

   return, event(0 : nevent)
end
