; $Id: get_group_lo_rates_se.pro,v 1.1 1998/02/20 23:21:05 rgr Exp $

; $RCSfile: get_group_lo_rates_se.pro,v $
; $Author: rgr $
; $Date: 1998/02/20 23:21:05 $
; $Revision: 1.1 $

function get_group_lo_rates_se, sec0_1996, sec1_1996

   lp = get_group_lo_rates_s(sec0_1996, sec1_1996)
   nrec = n_elements(lp)
   engr = replicate({L1_1SisLowPriorityRate}, nrec)
   engr.ClockCycle = lp.ClockCycle
   engr.Second1996 = lp.Second1996
   engr.microsecond = lp.microsecond

   if (nrec gt 1) then begin
      computeSisMiscRates, lp, engr
      computeSisRejectRates, lp, engr
      computeSisValidRates, lp, engr
      computeSisSingleRates, engr
      computeSisDataClassRates, lp, engr
      computeSisDataBufferRates,  engr
      computeSisEventBufferRates, lp, engr
  endif

  return, engr
end
