; $Id: fetchcristimehistory.pro,v 1.1 1998/03/09 18:17:05 rgr Exp $

; $RCSfile: fetchcristimehistory.pro,v $
; $Author: rgr $
; $Date: 1998/03/09 18:17:05 $
; $Revision: 1.1 $

pro FetchCrisTimeHistory, request,                 $
                          sec1996_0,               $
                          sec1996_1,               $
                          sec1996,                 $
                          value,                   $
                          quality,                 $
                          title,                   $
                          units,                   $
                          ndata

   ndata = 0
   case strupcase(request.structure) of

     'L1CRISLOWPRIORITYRATE' : Begin
            field = request.field
            title= 'CRIS ' + field
            FetchL1CrisLowPriorityRateUnits, field, units
            FetchL1CrisLowPriorityRateField, field, sec1996_0,          $
                                            sec1996_1, value, ndata
            if (ndata eq 0) then return

            quality = bytarr(ndata)          
            if (strpos(strupcase(field), 'NUMBEREVENTS') eq 0) then     $
               field = 'NumberEvents'
            if (strpos(strupcase(field), 'QUALITY') lt 0) then begin
               field = 'Quality' + field 
               if ((strupcase(field) ne 'QUALITYCLOCKCYCLE') and        $
                   (strupcase(field) ne 'QUALITYSECOND1996') and        $
                   (strupcase(field) ne 'QUALITYMICROSECOND')) then     $
                  FetchL1CrisLowPriorityRateField, field, sec1996_0,    $
                                             sec1996_1, quality, dummy
            endif
            FetchL1CrisLowPriorityRateField, 'Second1996', sec1996_0,   $
                                            sec1996_1, sec1996, dummy
         end

     'L1_1CRISLOWPRIORITYRATE' : Begin
            field = request.field
            title= 'CRIS ' + field
            FetchL1_1CrisLowPriorityRateUnits, field, units
            FetchL1_1CrisLowPriorityRateField, field, sec1996_0,        $
                                            sec1996_1, value, ndata
            if (ndata eq 0) then return

            quality = bytarr(ndata)          
            if (strpos(strupcase(field), 'QUALITY') lt 0) then begin
               field = 'Quality' + field 
               if ((strupcase(field) ne 'QUALITYCLOCKCYCLE') and        $
                   (strupcase(field) ne 'QUALITYSECOND1996') and        $
                   (strupcase(field) ne 'QUALITYMICROSECOND')) then     $
                  FetchL1_1CrisLowPriorityRateField, field, sec1996_0,  $
                                             sec1996_1, quality, dummy
            endif
            FetchL1_1CrisLowPriorityRateField, 'Second1996', sec1996_0, $
                                            sec1996_1, sec1996, dummy
         end

      else: print, 'Unrecognized structure: ', request.structure
   endcase

end    
