; $Id: fetchl1_1crislowpriorityrateunits.pro,v 1.1 1998/03/09 18:17:44 rgr Exp $

; $RCSfile: fetchl1_1crislowpriorityrateunits.pro,v $
; $Author: rgr $
; $Date: 1998/03/09 18:17:44 $
; $Revision: 1.1 $

pro FetchL1_1CrisLowPriorityRateUnits, fieldname, units

   field = strupcase(fieldname) 
   case field of
       'CLOCKCYCLE' : units = ''
       'SECOND1996' : units = 'Seconds of 1996'
      'MICROSECOND' : units = 'microsecond'
          'LIVETIM' : units = 'seconds'
          'HELIVET' : units = 'seconds'
          'HYLIVET' : units = 'seconds'
          'NTAGINT' : units = 'counts'
          'NVLDINT' : units = 'counts'
          'NEVPROC' : units = 'counts'
          'NRTPROC' : units = 'counts'
          'NSFTERR' : units = 'counts'
           'NBADID' : units = 'counts'
          'NCEBFUL' : units = 'counts'
          'NREBFUL' : units = 'counts'
          'NMACSYS' : units = 'counts'
          'NHDWREJ' : units = 'counts'
              else  : if (strpos(field, 'QUALITY') ge 0) then  $
                         units = 'f,mnf,clk,s,ct,cy,L0,L1'     $
                      else                                     $
                         units = 'counts/sec'
   endcase
end
