; $Id: fetchsistimehistory.pro,v 1.1 1998/03/09 18:24:56 rgr Exp $

; $RCSfile: fetchsistimehistory.pro,v $
; $Author: rgr $
; $Date: 1998/03/09 18:24:56 $
; $Revision: 1.1 $

pro FetchSisTimeHistory, request,                 $
                         sec1996_0,               $
                         sec1996_1,               $
                         sec1996,                 $
                         value,                   $
                         quality,                 $
                         title,                   $
                         units,                   $
                         ndata

   ndata = 0
   case strupcase(request.structure) of

     'L1SISLOWPRIORITYRATE' : Begin
            field = request.field
            title= 'SIS ' + field
            FetchL1SisLowPriorityRateUnits, field, units
            FetchL1SisLowPriorityRateField, field, sec1996_0,          $
                                            sec1996_1, value, ndata
            if (ndata eq 0) then return

            quality = bytarr(ndata)          
            if (strpos(strupcase(field), 'NUMBEREVENTS') eq 0) then    $
               field = 'NumberEvents'
            if (strpos(strupcase(field), 'QUALITY') lt 0) then begin
               field = 'Quality' + field 
               if ((strupcase(field) ne 'QUALITYCLOCKCYCLE') and       $
                   (strupcase(field) ne 'QUALITYSECOND1996') and       $
                   (strupcase(field) ne 'QUALITYMICROSECOND')) then    $
                  FetchL1SisLowPriorityRateField, field, sec1996_0,    $
                                             sec1996_1, quality, dummy
            endif
            FetchL1SisLowPriorityRateField, 'Second1996', sec1996_0,   $
                                            sec1996_1, sec1996, dummy
         end

     'L1_1SISLOWPRIORITYRATE' : Begin
            field = request.field
            title= 'SIS ' + field
            FetchL1_1SisLowPriorityRateUnits, field, units
            FetchL1_1SisLowPriorityRateField, field, sec1996_0,        $
                                            sec1996_1, value, ndata
            if (ndata eq 0) then return

            quality = bytarr(ndata)          
            if (strpos(strupcase(field), 'QUALITY') lt 0) then begin
               field = 'Quality' + field 
               if ((strupcase(field) ne 'QUALITYCLOCKCYCLE') and       $
                   (strupcase(field) ne 'QUALITYSECOND1996') and       $
                   (strupcase(field) ne 'QUALITYMICROSECOND')) then    $
                  FetchL1_1SisLowPriorityRateField, field, sec1996_0,  $
                                             sec1996_1, quality, dummy
            endif
            FetchL1_1SisLowPriorityRateField, 'Second1996', sec1996_0, $
                                            sec1996_1, sec1996, dummy
         end

      else: print, 'Unrecognized structure: ', request.structure
   endcase

end    
