; $Id: dumpsistelemetrydata.pro,v 1.1 1998/02/09 22:53:55 rgr Exp $

; $RCSfile: dumpsistelemetrydata.pro,v $
; $Author: rgr $
; $Date: 1998/02/09 22:53:55 $
; $Revision: 1.1 $

pro dumpSisTelemetryData, subset, LUN=lun

   lunit = -1
   if (keyword_set(lun)) then lunit = lun

   nsubset = n_elements(subset)
   for i=0, nsubset-1 do begin
      printf, lunit
      output = stringDate1996(subset[i].Second1996) + "  "
      output = output + "Clock: " +                                   $
               string(subset[i].ClockMinorFrame, format='(i10.10)') + $
               "     "
      output = output + "Major Frame: " +                             $
               string(subset[i].MajorFrameCount, format='(i1)') + "  "
      output = output + "Minor Frame: " +                             $
               string(subset[i].MinorFrameCount, format='(i2.2)')

      printf, lunit, output
      hexdump, subset[i].SisData, spaces=3, LUN=lunit
   endfor

end                   
