; $Id: unpacksispeakandoffsetdata.pro,v 1.1 1998/01/26 17:57:09 rgr Exp $

; $RCSfile: unpacksispeakandoffsetdata.pro,v $
; $Author: rgr $
; $Date: 1998/01/26 17:57:09 $
; $Revision: 1.1 $
   
pro UnpackSisPeakAndOffsetData, telemetry, index, event 
  
   set = where(event.flag.PeakTime ne 0B, nevent)
   if (nevent gt 0) then begin
      if (nevent eq 1) then set = set(0)
      
      event(set).PeakTimeT1 = ishft(telemetry(index(set)) , -4)
      event(set).PeakTimeM2 = telemetry(index(set)) and '0f'XB
      event(set).PeakTimeM1 = ishft(telemetry(index(set)+1), -4)
      offsets = ishft(long(telemetry(index(set)+1)), 16) or    $
                ishft(long(telemetry(index(set)+2)), 8)  or    $
                long(telemetry(index(set)+3))
      event(set).M1GndSideOffset = ishft(offsets, -15) and '0000001f'XL
      event(set).M1HvSideOffset  = ishft(offsets, -10) and '0000001f'XL
      event(set).M2GndSideOffset = ishft(offsets, -5)  and '0000001f'XL
      event(set).M2HvSideOffset  = offsets             and '0000001f'XL
      index(set) = index(set) + 4
   endif
   set = where(event.flag.PeakTime eq 0B, nevent)
   if (nevent gt 0) then begin
      if (nevent eq 1) then set = set(0)
      event(set).PeakTimeT1 =      'ff'XB
      event(set).PeakTimeM2 =      'ff'XB
      event(set).PeakTimeM1 =      'ff'XB
      event(set).M1GndSideOffset = 'ff'XB
      event(set).M1HvSideOffset  = 'ff'XB
      event(set).M2GndSideOffset = 'ff'XB
      event(set).M2HvSideOffset  = 'ff'XB
   endif

end
