/* $Id: dumpCrisTelemetry.c,v 1.1 1998/02/09 21:10:56 rgr Exp $ */

/* $RCSfile: dumpCrisTelemetry.c,v $ */
/* $Author: rgr $ */
/* $Date: 1998/02/09 21:10:56 $ */
/* $Revision: 1.1 $ */

#include <stdio.h>

#include "CrisConstants.h"
#include "cris/L1CrisSubset.h"

#include "ace/stringDate1996.h"

void dumpCrisTelemetry(struct L1CrisSubset *subset)
{
   int i;

   printf("\n");
   printf("%s  ", stringDate1996(subset->Second1996));
   printf("Clock: %10.10lu     ", subset->ClockMinorFrame);
   printf("Major Frame: %1.1d  ", subset->MajorFrameCount);
   printf("Minor Frame: %2.2d", subset->MinorFrameCount);
   for (i=0; i<NUM_CRIS_TELEMETRY_BYTES; i++) {
      if (!(i % 4))  printf(" ");
      if (!(i % 32)) printf("\n   ");
      printf("%2.2x", subset->CrisData[i]);
   }
   printf("\n");
}
